import React from 'react';
import { LeftOutlined, EditOutlined } from '@ant-design/icons';
import { Form, Input, Button, Select, TimePicker } from 'antd';
// 样式
import './celllist.less';

const { RangePicker } = TimePicker;

const Adds = () => {
  const onFinish = (values: any) => {
    console.log('Success:', values);
  };
  return (
    <div className="box">
      {/* 头部 */}
      <div className="back">
        <Button onClick={() => {}}>
          <LeftOutlined />
          Back
        </Button>
      </div>

      <div className="form">
        <h3>
          <EditOutlined />
          &nbsp; 添加小区
        </h3>
        <Form
          name="basic"
          onFinish={onFinish}
          labelCol={{ span: 3 }}
          wrapperCol={{ span: 18 }}
          layout="horizontal"
          labelAlign="left"
        >
          <Form.Item label="Community Name" name="communityName">
            <Input style={{ width: 120 }} placeholder="6 Postcode" maxLength={6} />{' '}
            <span className="span">
              小区地址小区地址小区地址小区地址小区地址小区地址小区地址小区地址小区地址小区地址小区地址
            </span>{' '}
            <div>
              <li className="li">小区名字</li>
            </div>
          </Form.Item>
          <Form.Item label="Working Hours" name="workingHours">
            <Input />
          </Form.Item>
          <Form.Item label="Community Telephone" name="communityTelephone">
            <Input />
          </Form.Item>
          <Form.Item label="Administrators" name="adminiStrators">
            <Input />
          </Form.Item>
          <Form.Item label="Property fee">
            <RangePicker />
          </Form.Item>
          <Form.Item label="Louba Timetable" name="loubaTimetable">
            <Input />
          </Form.Item>
          <Form.Item label="Property Guide" name="propertyGuide">
            <Input />
          </Form.Item>
          <Form.Item label="Period of Service" name="period">
            <Input />
          </Form.Item>

          <Form.Item label="Help Phone" name="helpPhone">
            <Input />
          </Form.Item>

          <Form.Item label=" " colon={false}>
            <Button type="primary" htmlType="submit">
              Submit
            </Button>
          </Form.Item>
        </Form>
      </div>
    </div>
  );
};

export default Adds;
